# Create an authentication provider

**POST /groups/{groupId}/apps/{appId}/auth_providers**

Create an [authentication provider](https://www.mongodb.com/docs/atlas/app-services/authentication/).


## Servers
- The root API resource and starting point for the App Services API.: https://services.cloud.mongodb.com/api/admin/v3.0 (The root API resource and starting point for the App Services API.)


## Authentication methods
- Token auth


## Parameters

### Path parameters

- **groupId** (string)
  An Atlas [Project/Group
  ID](https://docs.atlas.mongodb.com/tutorial/manage-projects/).

- **appId** (string)
  The ObjectID of your application.
  [The App Services API Project and Application IDs section](#section/Project-and-Application-IDs) demonstrates how to find this
  value.



### Body: application/json (object)

- **name** (string)
  The name of the authentication provider. For Anonymous authentication, this value is always `anon-user`.

- **type** (string)
  The name of the authentication provider. For Anonymous authentication, this value is always `anon-user`.

- **disabled** (boolean)
  If `true`, the auth provider is disabled. Users cannot log in through the provider until it is enabled.



## Responses
### 201
Successfully created.

#### Body: application/json (object)
- **_id** (string)
  The authentication provider's unique ID.

- **name** (string)
  The name of the authentication provider. For Anonymous authentication, this value is always `anon-user`.

- **type** (string)
  The name of the authentication provider. For Anonymous authentication, this value is always `anon-user`.

- **disabled** (boolean)
  If `true`, the auth provider is disabled. Users cannot log in through the provider until it is enabled.



[Powered by Bump.sh](https://bump.sh)
